local mod = foundation.createMod();

mod:registerAssetId("maps/HEIGHT_MAP_VP.png", "HEIGHT_MAP")
mod:registerAssetId("maps/MATERIAL_MASK_VP.png", "MATERIAL_MASK")
mod:registerAssetId("maps/flat_density.png", "FLAT_DENSITY_MAP")
mod:registerAssetId("maps/more_density.png", "MORE_DENSITY_MAP")
mod:registerAssetId("maps/berries_density.png", "BERRIES_DENSITY_MAP")
mod:registerAssetId("maps/rock_density.png", "ROCK_DENSITY_MAP")
mod:registerAssetId("maps/fish_density.png", "FISH_DENSITY_MAP")

mod:register({
	DataType = "CUSTOM_MAP",
	Id = "MAP_VP_01",
	HeightMap = "HEIGHT_MAP",
	MaterialMask = "MATERIAL_MASK",
	MinHeight = -19,
	MaxHeight = 190,
	VillagePathList = {
		{
			Entrance = { 175, 0, 415 },
			Exit = { 480, 0, 850 }
		},		
		{
			Entrance = { 430, 0, 840 },
			Exit = { 890, 0, 580 }
		},
		{
			Entrance = { 880, 0, 630 },
			Exit = { 580, 0, 150 }
		},		
		{
			Entrance = { 635, 0, 160 },
			Exit = { 160, 0, 460 }
		}
	},
	SpawnList = {
		{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --1
			Position = { 205 , -5 , 550 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 3, 3, 3 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --2
			Position = { 200 , -5 , 610 }, 
			Orientation = { 0.0, 150.0 , 0.0},
			Scale = { 3, 3, 3 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --3
			Position = { 230 , 5 , 650 },  
			Orientation = { 0.0, 35.0 , 0.0},
			Scale = { 3, 2.5, 3 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --4
			Position = { 665 , 0 , 700 },   
			Orientation = { 0.0, 150.0 , 0.0},
			Scale = { 4, 2.5, 3 },
			PatchBeforeVersion = "1.0.0"
		},
		    {
			Prefab = "PREFAB_MINERAL_SOURCE_1", --5
			Position = { 700 , 5 , 770 },  
			Orientation = { 0.0, 80.0 , 0.0},
			Scale = { 3, 2.5, 3 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --6
			Position = { 480 , 0 , 160 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 4, 3, 3 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --7
			Position = { 540 , 0 , 140 }, 
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 3, 2.5, 3 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --8
			Position = { 205 , -5 , 550 },  
			Orientation = { 0.0, 35.0 , 0.0},
			Scale = { 3, 3, 4 },
			PatchBeforeVersion = "1.0.0"
		},
		---------------------------------------------------------------2
			{
			Prefab = "PREFAB_MINERAL_SOURCE_1", --1
			Position = { 200 , 0 , 560 },   
			Orientation = { 0.0, 150.0 , 0.0},
			Scale = { 2 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
		    {
			Prefab = "PREFAB_MINERAL_SOURCE_1", --2
			Position = { 180 , -5 , 580 },  
			Orientation = { 0.0, 80.0 , 0.0},
			Scale = { 3 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_2", --3
			Position = { 230 , 0 , 650 },  
			Orientation = { 0.0, 90.0 , 0.0},
			Scale = { 3 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_2", --4
			Position = { 660 , 0 , 700 }, 
			Orientation = { 0.0, 50.0 , 0.0},
			Scale = { 2 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_2", --5
			Position = { 680 , 0 , 750 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 3 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_2", --6
			Position = { 480 , 0 , 145 },  
			Orientation = { 0.0, 50.0 , 0.0},
			Scale = { 2 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_2", --7
			Position = { 530 , 0 , 155 }, 
			Orientation = { 0.0, 50.0 , 0.0},
			Scale = { 3 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_2", --8
			Position = { 200 , 5 , 600 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 2 , 3.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
		---------------------------------------------------------------3
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --1
			Position = { 200 , 25 , 550 },  
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 1.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --2
			Position = { 195 , 25 , 560 }, 
			Orientation = { 0.0, 240.0 , 0.0},
			Scale = { 1.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --3
			Position = { 220 , 20 , 640 },  
			Orientation = { 0.0, 135.0 , 0.0},
			Scale = { 2.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --4
			Position = { 680 , 20 , 700 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 1.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --5
			Position = { 680 , 20 , 740 }, 
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 2.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --6
			Position = { 510 , 20 , 170 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 1.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --7
			Position = { 520 , 20 , 150 },  
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 1.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --8
			Position = { 460 , 20 , 150 }, 
			Orientation = { 0.0, 240.0 , 0.0},
			Scale = { 1.5, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
		---------------------------------------------------------------------4
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --1
			Position = { 200 , 20 , 540 },  
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --2
			Position = { 180 , 15 , 570 }, 
			Orientation = { 0.0, 90.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --3
			Position = { 175 , 10 , 600 },  
			Orientation = { 0.0, 135.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --4
			Position = { 200 , 10 , 630 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --5
			Position = { 230 , 10 , 680 }, 
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --6
			Position = { 250 , 20 , 675 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --7
			Position = { 245 , 15 , 650 },  
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --8
			Position = { 230 , 10 , 560 }, 
			Orientation = { 0.0, 240.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
		----------------------------------------------------------5
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --1
			Position = { 650 , 20 , 700 },  
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --2
			Position = { 670 , 5 , 710 }, 
			Orientation = { 0.0, 240.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --3
			Position = { 700 , 25 , 760 },  
			Orientation = { 0.0, 135.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --4
			Position = { 720 , 15 , 750 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --5
			Position = { 710 , 10 , 740 }, 
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
		----------------------------------------------------------------------6
				{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --1
			Position = { 475 , 11 , 165 },  
			Orientation = { 0.0, 90.0 , 0.0},
			Scale = { 2, 1.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --2
			Position = { 500 , 15 , 175 }, 
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --3
			Position = { 520 , 15 , 170 },  
			Orientation = { 0.0, 200.0 , 0.0},
			Scale = { 2, 1.5, 2 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --4
			Position = { 525 , 15 , 130 },  
			Orientation = { 0.0, 180.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		},
			{
			Prefab = "PREFAB_MINERAL_SOURCE_3", --5
			Position = { 460 , 15 , 145 }, 
			Orientation = { 0.0, 45.0 , 0.0},
			Scale = { 2, 1.5, 1.5 },
			PatchBeforeVersion = "1.0.0"
		}
	},
	DensitySpawnList = {
		{
			DensityMap = "FLAT_DENSITY_MAP",
			Density = 0.8,  
			PrefabConfigList = {
			{
					PrefabList = { "PREFAB_TREE_OAK" },
					RandomWeight = .1,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 3.0
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.6,
						Max = 2.0
					},
					ColorRange = {
						Min = { 0.3, 0.3, 0.3, 1 },
						Max = { 0.32, 0.32, 0.32, 2 }
					}
				},
				{
					PrefabList = { "PREFAB_TREE_OAK", "PREFAB_TREE_SYCAMORE", "PREFAB_TREE_OAK" },  
					RandomWeight = 3.0,   
					OffsetSizeRange = {   
						Min = 0.75,
						Max = 1.6
					},
					OrientationRange = {     
						Min = { 0, -180, 0 },
						Max = { 0, 180, 0 }
					},
					ScaleRange = {    
						Min = 0.9,
						Max = 1.3
					},
					ColorRange = {     
						Min = { 0.5, 0.5, 0.5, 1 },
						Max = { 0.7, 0.7, 0.7, 1 }
					}
				},	
				{
					PrefabList = { "PREFAB_TREE_OAK", "PREFAB_TREE_PINE" },
					RandomWeight = 2.0,
					OffsetSizeRange = {
						Min = 0.75,
						Max = 1.0
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.9,
						Max = 1.4
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 0.7, 0.7, 0.7, 1}
					}
				}
			}
		},
		{
			DensityMap = "MORE_DENSITY_MAP",
			Density = 0.7,
			PrefabConfigList = {
			{
					PrefabList = { "PREFAB_TREE_SYCAMORE" },
					RandomWeight = .1,
					OffsetSizeRange = {
						Min = 0.5,
						Max = 3.0
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.6,
						Max = 2.5
					},
					ColorRange = {
						Min = { 0.3, 0.3, 0.3, 1 },
						Max = { 0.32, 0.32, 0.32, 4 }
					}
				},
				{
					PrefabList = { "PREFAB_TREE_SYCAMORE", "PREFAB_TREE_POPLAR", "PREFAB_TREE_OAK" },
					RandomWeight = 3,
					OffsetSizeRange = {
						Min = 0.75,
						Max = 1.0
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.8,
						Max = 1.2
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 0.7, 0.7, 0.7, 2}
					}
				},
				{
					PrefabList = { "PREFAB_TREE_SYCAMORE", "PREFAB_TREE_OAK" },
					RandomWeight = 2,
					OffsetSizeRange = {
						Min = 0.75,
						Max = 1.6
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 0.8,
						Max = 1.3
					},
					ColorRange = {
						Min = { 0.6, 0.6, 0.6, 1 },
						Max = { 0.7, 0.7, 0.7, 3}
					}
				}
			}
		},
		{
			DensityMap = "BERRIES_DENSITY_MAP",
			Density = 2,
			PrefabConfigList = {
				{
					PrefabList = { "PREFAB_RESOURCE_BERRIES" },
					RandomWeight = 1,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.5
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1,
						Max = 1.5
					},
					ColorRange = {
						Min = { 0.8, 0.8, 0.8, 2 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			DensityMap = "ROCK_DENSITY_MAP",
			Density = 2,
			PrefabConfigList = {
				{
					PrefabList = { "PREFAB_RESOURCE_ROCK" },
					RandomWeight = 1,
					OffsetSizeRange = {
						Min = 1,
						Max = 1.5
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1,
						Max = 1.5
					},
					ColorRange = {
						Min = { 1, 1, 1, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		},
		{
			DensityMap = "FISH_DENSITY_MAP",
			Density = 1,
			PrefabConfigList = {
				{
					PrefabList = { "PREFAB_RESOURCE_FISH" },
					RandomWeight = 1,
					OffsetSizeRange = {
						Min = 1,
						Max = 1
					},
					OrientationRange = {
						Min = { 0, -180, 0},
						Max = { 0, 180, 0}
					},
					ScaleRange = {
						Min = 1,
						Max = 1
					},
					ColorRange = {
						Min = { 1, 1, 1, 1 },
						Max = { 1, 1, 1, 1 }
					}
				}
			}
		}
	}
})

